# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Array1OfUncertaintyMeasureWithUnit Class Reference

`#include <StepBasic_Array1OfUncertaintyMeasureWithUnit.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_Array1OfUncertaintyMeasureWithUnit (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_Array1OfUncertaintyMeasureWithUnit (const Handle(StepBasic_UncertaintyMeasureWithUnit)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepBasic_UncertaintyMeasureWithUnit)&V)
Standard_EXPORT void | Destroy ()
| ~StepBasic_Array1OfUncertaintyMeasureWithUnit ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepBasic_Array1OfUncertaintyMeasureWithUnit & | Assign (const StepBasic_Array1OfUncertaintyMeasureWithUnit &Other)
const StepBasic_Array1OfUncertaintyMeasureWithUnit & | operator= (const StepBasic_Array1OfUncertaintyMeasureWithUnit &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_UncertaintyMeasureWithUnit)&Value)
const Handle_StepBasic_UncertaintyMeasureWithUnit & | Value (const Standard_Integer Index) const
const Handle_StepBasic_UncertaintyMeasureWithUnit & | operator() (const Standard_Integer Index) const
Handle_StepBasic_UncertaintyMeasureWithUnit & | ChangeValue (const Standard_Integer Index)
Handle_StepBasic_UncertaintyMeasureWithUnit & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepBasic_Array1OfUncertaintyMeasureWithUnit (const StepBasic_Array1OfUncertaintyMeasureWithUnit &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Array1OfUncertaintyMeasureWithUnit::StepBasic_Array1OfUncertaintyMeasureWithUnit | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_Array1OfUncertaintyMeasureWithUnit::StepBasic_Array1OfUncertaintyMeasureWithUnit | ( | const Handle(StepBasic_UncertaintyMeasureWithUnit)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepBasic_Array1OfUncertaintyMeasureWithUnit::~StepBasic_Array1OfUncertaintyMeasureWithUnit | ( |  | ) | `[inline]`

Standard_EXPORT StepBasic_Array1OfUncertaintyMeasureWithUnit::StepBasic_Array1OfUncertaintyMeasureWithUnit | ( | const StepBasic_Array1OfUncertaintyMeasureWithUnit & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepBasic_Array1OfUncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::Assign | ( | const StepBasic_Array1OfUncertaintyMeasureWithUnit & | Other | ) |

Handle_StepBasic_UncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepBasic_Array1OfUncertaintyMeasureWithUnit::Destroy | ( |  | ) |

Standard_EXPORT void StepBasic_Array1OfUncertaintyMeasureWithUnit::Init | ( | const Handle(StepBasic_UncertaintyMeasureWithUnit)& | V | ) |

Standard_Boolean StepBasic_Array1OfUncertaintyMeasureWithUnit::IsAllocated | ( |  | ) | const

Standard_Integer StepBasic_Array1OfUncertaintyMeasureWithUnit::Length | ( |  | ) | const

Standard_Integer StepBasic_Array1OfUncertaintyMeasureWithUnit::Lower | ( |  | ) | const

void StepBasic_Array1OfUncertaintyMeasureWithUnit::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepBasic_Array1OfUncertaintyMeasureWithUnit::operator new | ( | size_t | size | ) | `[inline]`

void* StepBasic_Array1OfUncertaintyMeasureWithUnit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepBasic_UncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepBasic_UncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepBasic_Array1OfUncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::operator= | ( | const StepBasic_Array1OfUncertaintyMeasureWithUnit & | Other | ) | `[inline]`

void StepBasic_Array1OfUncertaintyMeasureWithUnit::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_UncertaintyMeasureWithUnit)& | Value
| ) |

Standard_Integer StepBasic_Array1OfUncertaintyMeasureWithUnit::Upper | ( |  | ) | const

const Handle_StepBasic_UncertaintyMeasureWithUnit& StepBasic_Array1OfUncertaintyMeasureWithUnit::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepBasic_Array1OfUncertaintyMeasureWithUnit::isAllocated`[private]`

Standard_Integer StepBasic_Array1OfUncertaintyMeasureWithUnit::myLowerBound`[private]`

Standard_Address StepBasic_Array1OfUncertaintyMeasureWithUnit::myStart`[private]`

Standard_Integer StepBasic_Array1OfUncertaintyMeasureWithUnit::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Array1OfUncertaintyMeasureWithUnit.hxx